librdkafka1_0.11.3-1build1_i386.deb


Advertisement

Description

librdkafka1 - library implementing the Apache Kafka protocol

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename librdkafka1_0.11.3-1build1_i386.deb
Package name librdkafka1
Package version 0.11.3
Package release 1build1
Package architecture i386
Package type deb
Category universe/libs
Homepage https://github.com/edenhill/librdkafka
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 306.50 KB
Installed size 933.00 KB
librdkafka is a C library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support. It was designed with message
delivery reliability and high performance in mind, current figures exceed
800000 msgs/second for the producer and 3 million msgs/second for the
consumer. It implements both the 0.8 and 0.9 versions of the protocol.
More information about Apache Kafka can be found at http://kafka.apache.org/
This package contains the C shared library.

Alternatives

Package Version Architecture Repository
librdkafka1_0.11.3-1build1_amd64.deb 0.11.3 amd64 Ubuntu Universe
librdkafka1 - - -

Requires

Name Value
libc6 >= 2.16
liblz4-1 >= 0.0~r127
libsasl2-2 -
libssl1.1 >= 1.1.0
zlib1g >= 1:1.2.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package librdkafka1_0.11.3-1build1_i386.deb
Source Package librdkafka

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librdkafka1 deb package:
    # sudo apt-get install librdkafka1

Files

Path
/usr/lib/i386-linux-gnu/librdkafka.so.1
/usr/share/doc/librdkafka1/CONFIGURATION.md.gz
/usr/share/doc/librdkafka1/INTRODUCTION.md.gz
/usr/share/doc/librdkafka1/NEWS.Debian.gz
/usr/share/doc/librdkafka1/README.md.gz
/usr/share/doc/librdkafka1/changelog.Debian.gz
/usr/share/doc/librdkafka1/copyright

Changelog

2018-02-05 - Dimitri John Ledkov <xnox@ubuntu.com>
librdkafka (0.11.3-1build1) bionic; urgency=high
* No change rebuild against openssl1.1.
2017-12-18 - Mpampis Kostas <charkost.rb@gmail.com>
librdkafka (0.11.3-1) unstable; urgency=medium
* Team upload
* New upstream release
* Bump Standards-Version, no changes needed
* Add NEWS entry about librdkafka's configuration changes
2017-10-18 - Christos Trochalakis <ctrochalakis@debian.org>
librdkafka (0.11.1-1) unstable; urgency=medium
* New upstream release
* Bump Standards-Version, no changes needed
2017-07-20 - Christos Trochalakis <ctrochalakis@debian.org>
librdkafka (0.11.0-1) unstable; urgency=medium
* New upstream release
* Update librdkafka1.symbols for 0.11.0
* Add NEWS entry about librdkafka's configuration changes
* Explicitly depend on libz4-dev with framing support (lz4frame.h)
* Bump Standards-Version to 4.0.0, no changes needed
* Setup gbp to use git as an upstream source
2017-06-21 - Christos Trochalakis <ctrochalakis@debian.org>
librdkafka (0.9.5-2) unstable; urgency=medium
* Upload to unstable.
2017-04-18 - Christos Trochalakis <ctrochalakis@debian.org>
librdkafka (0.9.5-1) experimental; urgency=medium
* New upstream release.
* Add a README.source note about shipping lz4 in the upstream tarball.
lz4 is not used in Debian builds.
* Add copyright for the lz4 library.
2017-02-27 - Christos Trochalakis <ctrochalakis@debian.org>
librdkafka (0.9.4-1) experimental; urgency=medium
[ Faidon Liambotis ]
* Update debian/watch with upstream's new convention.
[ Christos Trochalakis ]
* New upstream release.
* Update librdkafka1.symbols for 0.9.4.
2017-01-24 - Christos Trochalakis <ctrochalakis@debian.org>
librdkafka (0.9.3-1) unstable; urgency=medium
* New upstream release.
* Add Build-Depends to liblz4-dev to enable LZ4 compression.
* Add copyright for xxhash.[hc] and regexp.[hc].
* Update librdkafka1.symbols for 0.9.2 and 0.9.3.
* Use hardening build flags.
* Add myself to Uploaders.
* Switch to debhelper 10.
* Move packaging to alioth, under the pkg-kafka team.
2016-05-30 - Faidon Liambotis <paravoid@debian.org>
librdkafka (0.9.1-1) unstable; urgency=medium
* New upstream release (Closes: #816047).
- Remove 0001-mklove-update-add-disable-silent-rules patch (not needed)
- Remove 0002_hexdump_use_size_t_instead_of_int patch (not needed)
- Fixes a GCC6-identified warning and possible FTBFS. (Closes: #811596)
* Add Build-Depends to libssl-dev/libsasl2-dev, to enable Kafka 0.9
encryption and authentication.
* Update the long description to mention 0.9 protocol support and also the
high-performance aspect, by copying upstream's description almost
verbatim.
* Bump Standards-Version to 3.9.8 (no changes needed).
* Switch Vcs-Git to GitHub's https (from git://)
* Migrate from our own -dbg package to the automatic -dbgsym package.
* Update librdkafka1.symbols with 0.9.0' and 0.9.1's new symbols.
* Ship the new C++ library, by shipping a new binary package, librdkafka++1.
* Ship pkg-config files in the -dev package for both the C and C++
libraries.
* Replace the perl build-dependency by python, as the build system (among
others) now requires it.
2015-12-21 - YunQiang Su <syq@debian.org>
librdkafka (0.8.6-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Use size_t instead of int for hexdump to fix FTBFS (Closes: 799993):
assuming signed overflow does not occur when
assuming that (X + c) >= X is always true

See Also

Package Description
librdkit-dev_201603.5+dfsg-1ubuntu1_i386.deb Collection of cheminformatics and machine-learning software (development files)
librdkit1_201603.5+dfsg-1ubuntu1_i386.deb Collection of cheminformatics and machine-learning software (shared libraries)
librdp-taxonomy-tree-java_1.2.0-2_all.deb taxonomy tree library from Ribosomal Database Project (RDP)
libre-dev_0.5.6-1ubuntu2_i386.deb Generic library for real-time communications (development files)
libre-ocaml-dev_1.6.1-2build1_i386.deb regular expression library for OCaml
libre0_0.5.6-1ubuntu2_i386.deb Generic library for real-time communications with async IO support
libre2-4_20180201+dfsg-2_i386.deb efficient, principled regular expression library
libre2-dev_20180201+dfsg-2_i386.deb efficient, principled regular expression library, development kit
libreact-ocaml-dev_1.2.0-3build1_i386.deb functional reactive programming in OCaml
libreact-ocaml_1.2.0-3build1_i386.deb functional reactive programming in OCaml (plugins)
libreactive-streams-java_1.0.1-1_all.deb Standard for asynchronous stream processing with non-blocking backpressure
libreactivedata-ocaml-dev_0.1-3build1_i386.deb FRP with incremental changes in data structures
libreactivedata-ocaml_0.1-3build1_i386.deb FRP with incremental changes in data structures (runtime)
libreactor-core-java_2.0.8-1_all.deb Reactive Streams Specification Implementation
libreadline-java-doc_0.8.0.1+dfsg-6_all.deb API docs for readline/editline wrappers for Java
Advertisement
Advertisement